import request from '@/utils/request'

// 查询检修工单列表
export function listDmsBillsFaultInstance(query) {
  return request({
    url: '/dms/dmsBillsFaultInstance/list',
    method: 'get',
    params: query
  })
}

// 查询检修工单详细
export function getDmsBillsFaultInstance(repairInstanceId) {
  return request({
    url: '/dms/dmsBillsFaultInstance/' + repairInstanceId,
    method: 'get'
  })
}

// 新增检修工单
export function addDmsBillsFaultInstance(data) {
  return request({
    url: '/dms/dmsBillsFaultInstance',
    method: 'post',
    data: data
  })
}

// 修改检修工单
export function updateDmsBillsFaultInstance(data) {
  return request({
    url: '/dms/dmsBillsFaultInstance',
    method: 'put',
    data: data
  })
}

// 删除检修工单
export function delDmsBillsFaultInstance(repairInstanceId) {
  return request({
    url: '/dms/dmsBillsFaultInstance/' + repairInstanceId,
    method: 'delete'
  })
}
